/usr/share/ganeti/os/debootstrap/rename is in ganeti-instance-debootstrap 0.11-1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 | #!/bin/bash
# Copyright (C) 2007, 2008, 2009 Google Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
set -e
. common.sh
TMPDIR=`mktemp -d` || exit 1
CLEANUP+=("rmdir $TMPDIR")
# If the target device is not a real block device we'll first losetup it.
# This is needed for file disks.
if [ ! -b $blockdev ]; then
ORIGINAL_BLOCKDEV=$blockdev
blockdev=$(losetup -sf $blockdev)
CLEANUP+=("losetup -d $blockdev")
fi
if [ "$PARTITION_STYLE" = "none" ]; then
filesystem_dev=$blockdev
elif [ "$PARTITION_STYLE" = "msdos" ]; then
filesystem_dev=$(map_disk0 $blockdev)
CLEANUP+=("unmap_disk0 $blockdev")
else
echo "Unknown partition style $PARTITION_STYLE"
exit 1
fi
mount $filesystem_dev $TMPDIR
CLEANUP+=("umount $TMPDIR")
HNAME="$TMPDIR/etc/hostname"
MNAME="$TMPDIR/etc/mailname"
# for hostname, we raise and error if the old hostname is not what we
# expect
OLD_HNAME="`cat $HNAME`"
if [ "$OLD_HNAME" = "$old_name" ]; then
echo $instance > $HNAME
else
log_error "Cannot rename from $old_name to $instance:"
log_error "Instance has a different hostname ($OLD_HNAME)"
exit 1
fi
# for mailname, we rename only if it has the old name, otherwise we
# ignore it (and assumme that it's a customized name)
if [ "`cat $MNAME`" = "$old_name" ]; then
echo $instance > $MNAME
fi
# execute cleanups
cleanup
trap - EXIT
exit 0
|